<div class="apbtn">
  <div *ngIf="modulo=='CONFIGURACION'" class="float-left col-lg-7 col-12 col-l">
    <mat-form-field *ngIf="bangrupo"  appearance="fill" class="col-lg-3 col-md-3 col-6">
      <mat-label class="font-comp">Seleccione categoría</mat-label>

      <mat-select class="font-comp" (selectionChange)="configservc.seleccioncategoria();listEvent($event)" [(ngModel)]="configservc.idcateg">
        <mat-option value="">TODOS</mat-option>
        <mat-option
          *ngFor="let option of configservc.combocategoria"
          value="{{ option.id }}">
        {{ option.descripcion }}
      </mat-option>
      </mat-select>
    </mat-form-field>

    <mat-form-field *ngIf="bancaja && configservc.stcat"  appearance="fill" class="col-lg-3 col-md-3 col-6">
      <mat-label class="font-comp">Seleccione subcategoría</mat-label>
      <mat-select class="font-comp" (selectionChange)="configservc.seleccioncategoria()" [(ngModel)]="configservc.idsuperiorsub">
        <mat-option value="">TODOS</mat-option>
        <mat-option
          *ngFor="let option of configservc.combosubcategoria"
          value="{{ option.id }}">
        {{ option.descripcion }}
      </mat-option>
      </mat-select>
    </mat-form-field>
      <button *ngIf="bangrupo" class="btn btn-sm btn-{{ configservc.btncat }}"  (click)="cambiartipocat($event)"><i class="fa fa-{{ configservc.iconcat }}" ></i> {{ configservc.textcat }} </button>

  </div>

  <div *ngIf="modulo=='TESORERIA' && [4,5].indexOf(opcion) == -1" class="float-left col-lg-7 col-12 col-l">
    <mat-form-field *ngIf="banfecha" appearance="fill" class="col-lg-4 col-md-3 col-6">
      <mat-label class="font-comp">Fecha</mat-label>
      <!-- [min]="datepast" -->
      <input class="font-comp col-12" matInput [matDatepicker]="dp3"  [formControl]="date"  [max]="today" readonly [(ngModel)]="regserv.movimientocaja_reg.fecha" (dateChange)="ctrlserv.seleccionarcaja();" />
      <mat-datepicker-toggle matSuffix [for]="dp3"></mat-datepicker-toggle>
      <mat-datepicker #dp3 disabled="false"></mat-datepicker>
    </mat-form-field>
    <mat-form-field  *ngIf="banrangfecha" class="example-form-field col-lg-5 col-md-6 col-6" appearance="fill">
      <mat-label class="font-comp">Fecha búsqueda</mat-label>
      <mat-date-range-input class="font-comp" [max]="today"
        [formGroup]="campaignOne"
        [rangePicker]="campaignOnePicker"
        [comparisonStart]="campaignOne.value.start"
        [comparisonEnd]="campaignOne.value.end">
        <input matStartDate placeholder="Start date" formControlName="start" [(ngModel)]="listserv.fechamin"  readonly>
        <input matEndDate placeholder="End date" formControlName="end" [(ngModel)]="listserv.fechamax" (dateChange)="ctrlserv.seleccionarcaja()"  readonly>
      </mat-date-range-input>
      <mat-datepicker-toggle matSuffix [for]="campaignOnePicker"></mat-datepicker-toggle>
      <mat-date-range-picker #campaignOnePicker></mat-date-range-picker>
    </mat-form-field>

    <mat-form-field *ngIf="bancaja"  appearance="fill" class="col-lg-3 col-md-3 col-6">
      <mat-label class="font-comp">Seleccione caja</mat-label>
      <mat-select class="font-comp" (selectionChange)="ctrlserv.seleccionarcaja();" [(ngModel)]="regserv.caja_reg.id"  >
        <mat-option
            *ngFor="let option of caja_lst"
            value="{{ option.id }}">
          {{ option.nombre }}
        </mat-option>
      </mat-select>
    </mat-form-field>

    <mat-form-field *ngIf="bangrupo"  appearance="fill" class="col-lg-4 col-md-4 col-sm-11 col-10">
      <mat-label class="font-comp">Seleccione grupo recaudación</mat-label>
      <mat-select class="font-comp" (selectionChange)="listEvent($event)" [(ngModel)]="regserv.gruporecaudacion_reg.id">
        <mat-option
            *ngFor="let option of ctrlserv.gruporecaudacion_lst"
            value="{{ option.id }}">
          {{ option.codigo }}
        </mat-option>
      </mat-select>
    </mat-form-field>
    <button *ngIf="bangrupo" matTooltip="Generar Nuevo Grupo" class="btn btn-sm btn-info btn-mg" (click)="generar_grupo()">
      <i class="fa fa-sync-alt fa-lg" ></i>
    </button>
    <!-- <button matTooltip="Ver saldos" class="btn btn-sm btn-info btn-mg" (click)="bangrupo = !bangrupo">
      <i class="fa fa-sync-alt fa-lg" ></i>
    </button> -->
  </div>
  <div *ngIf="modulo=='TESORERIA' && [4,5].indexOf(opcion) > -1" class="float-left col-lg-7 col-12 col-l">
    <mat-form-field appearance="fill" class="col-lg-3 col-md-3 col-6">
      <mat-label class="font-comp">Seleccione año</mat-label>
      <mat-select class="font-comp" (selectionChange)="seleccionarAnio(); listEvent($event)" [(ngModel)]="anio" [(value)]="anio">
        <mat-option
            *ngFor="let option of anio_lst"
            value="{{ option.id }}">
          {{ option.nombre }}
        </mat-option>
      </mat-select>
    </mat-form-field>

    <mat-form-field *ngIf="opcion!=5" appearance="fill" class="col-lg-3 col-md-3 col-6">
      <mat-label class="font-comp">Seleccione mes</mat-label>
      <mat-select class="font-comp" (selectionChange)="listEvent($event)">
        <mat-option
            *ngFor="let option of mes_lst"
            value="{{ option.id }}">
          {{ option.nombre }}
        </mat-option>
      </mat-select>
    </mat-form-field>

    <mat-form-field *ngIf="opcion==5" appearance="fill" class="col-lg-3 col-md-3 col-6">
      <mat-label class="font-comp">Tipo Reporte</mat-label>
      <mat-select class="font-comp" [(ngModel)]="listserv.opcionreporte" (selectionChange)="listEvent($event)">
        <mat-option
            *ngFor="let option of reporte_lst"
            value="{{ option.id }}">
          {{ option.nombre }}
        </mat-option>
      </mat-select>
    </mat-form-field>
  </div>

  <div *ngIf="modulo=='MEMBRESIA'" class="float-left col-lg-7 col-12 col-l">
    <mat-form-field *ngIf="opcion == 1" appearance="fill" class="col-lg-3 col-md-3 col-12">
      <mat-label class="font-comp">Seleccione Sexo</mat-label>
      <mat-select class="font-comp" (selectionChange)="listEvent($event)" [(ngModel)]="regserv.miembro_busq.sexo" [(value)]="regserv.miembro_busq.sexo">
        <mat-option value="-1">TODOS </mat-option>
        <mat-option value="1">HOMBRES </mat-option>
        <mat-option value="0">MUJERES </mat-option>
      </mat-select>
    </mat-form-field>

    <mat-form-field *ngIf="opcion == 1" appearance="fill" class="col-lg-3 col-md-3 col-12">
      <mat-label class="font-comp">Seleccione Clasificacion Edad</mat-label>
      <mat-select class="font-comp" (selectionChange)="listEvent($event)" [(ngModel)]="regserv.miembro_busq.clasificacionedad" [(value)]="regserv.miembro_busq.clasificacionedad">
        <mat-option value="0">TODOS</mat-option>
        <mat-option
            *ngFor="let option of etapa_lst"
            value="{{ option.id }}">
          {{ option.descripcion }}
        </mat-option>
      </mat-select>
    </mat-form-field>
    <mat-form-field *ngIf="opcion == 1" appearance="fill" class="col-lg-3 col-md-3 col-12">
      <mat-label class="font-comp">Seleccione Tipo </mat-label>
      <mat-select class="font-comp" (selectionChange)="listEvent($event)" [(ngModel)]="regserv.miembro_busq.tipo" [(value)]="regserv.miembro_busq.tipo">
        <mat-option value="-1">TODOS </mat-option>
        <mat-option value="1">SOLO MIEMBROS </mat-option>
        <mat-option value="0">OTROS </mat-option>
      </mat-select>
    </mat-form-field>
  </div>

  <!-- BOTONES -->
  <div *ngIf="(modulo=='TESORERIA' || modulo=='CONFIGURACION') && [4,5].indexOf(opcion) > -1" class="float-left {{ classanc }}">
    <button *ngIf="opcion==4" class="btn btn-sm btn-list btn-uqg" matTooltip="Generar Informe" (click)="listEvent($event)"><i class="fa fa-sync-alt"></i> Generar Informe </button>
    <button *ngIf="modulo=='TESORERIA' && opcion==4" matTooltip="Configuración de informe" class="btn btn-sm btn-warning btn-lf btn-saldos" (click)="newEvent($event)">
      <i class="fa fa-cog fa-lg " ></i>
    </button>
    <button *ngIf="opcion==5" class="btn btn-sm btn-list btn-uqg" matTooltip="Generar Reporte" (click)="listEvent($event)"><i class="fa fa-sync-alt"></i> Generar Reporte </button>
  </div>
  <div *ngIf="(modulo=='TESORERIA' || modulo=='CONFIGURACION') && [4,5].indexOf(opcion)  == -1" class="float-left {{ classanc }}">
    <button  *ngIf="!bannuevo" class="btn btn-sm btn-new btn-uq" matTooltip="Nuevo Registro" [matMenuTriggerFor]="menu" aria-label="Movimiento de caja" >
      <i class="fa fa-file" ></i> Nuevo <mat-icon>arrow_drop_down</mat-icon>
    </button>
    <mat-menu  #menu="matMenu">
      <button mat-menu-item (click)="newEvent($event)" >
        <span><i class="fa fa-sign-out-alt" ></i> Egreso</span>
      </button>
      <button mat-menu-item (click)="newEvent($event, false)" >
        <span><i class="fa fa-sign-in-alt"></i> Ingreso</span>
      </button>
    </mat-menu>
    <button *ngIf="bannuevo" class="btn btn-sm btn-new btn-uq"  matTooltip="Nuevo Registro"  (click)="newEvent($event)"><i class="fa fa-file" ></i> Nuevo</button>
    <button class="btn btn-sm btn-list btn-uq" matTooltip="Listar Registros" (click)="listEvent($event)"><i class="fa fa-sync-alt"></i> Listar</button>

    <div *ngIf="banexportar" class="btn-group">
      <button type="button" class="btn btn-sm btn-dark btnlbl" matTooltip="Exportar Registros"><i class="fa fa-download"></i> Exportar</button>
      <div class="btn-group" ngbDropdown role="group" aria-label="Exportar Registros">
        <button class="btn btn-dark dropdown-toggle-split" ngbDropdownToggle></button>
        <div class="dropdown-menu" ngbDropdownMenu>
          <button ngbDropdownItem class="font-comp" (click)="excelEvent($event)">EXCEL</button>
          <button ngbDropdownItem class="font-comp" (click)="pdfEvent($event)">PDF</button>
        </div>
      </div>
    </div>
    <button *ngIf="modulo=='TESORERIA' && opcion != 3" matTooltip="{{ctrlserv.vsald ? 'Cerrar panel de saldos' : 'Ver saldo'}}" class="btn btn-sm btn-warning btn-lf btn-saldos" (click)="ctrlserv.vsald = !ctrlserv.vsald">
      <i class="fa fa-hand-holding-usd fa-lg " ></i>
    </button>
  </div>

  <div *ngIf="modulo=='MEMBRESIA' || modulo=='SEGURIDAD'" class="float-left {{ classanc }}">

    <button *ngIf="bannuevo" class="btn btn-sm btn-new btn-uq"  matTooltip="Nuevo Registro"  (click)="newEvent($event)"><i class="fa fa-user-plus" ></i> Nuevo</button>
    <button class="btn btn-sm btn-list btn-uq" matTooltip="Listar Registros" (click)="listEvent($event)"><i class="fa fa-sync-alt"></i> Listar</button>
    <div *ngIf="opcion==1" class="btn-group">
      <button type="button" class="btn btn-sm btn-dark btnlbl" matTooltip="Exportar Registros"><i class="fa fa-download"></i> Exportar</button>
      <div class="btn-group" ngbDropdown role="group" aria-label="Exportar Registros">
        <button class="btn btn-dark dropdown-toggle-split" ngbDropdownToggle></button>
        <div class="dropdown-menu" ngbDropdownMenu>
          <button ngbDropdownItem class="font-comp" (click)="excelEvent($event)">EXCEL</button>
          <button ngbDropdownItem class="font-comp" (click)="pdfEvent($event)">PDF</button>
        </div>
      </div>
    </div>
  </div>
</div>


